Bug 120907 - umount passes randmon flags to sys_umount in kernel
umount passes randmon flags to sys_umount in kernel
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: glibc (Show other bugs)
2.1
ia64 Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
http://lists.debian.org/debian-glibc/...
:
: IT_37052 (view as bug list)
Depends On:
Blocks: 116726
  Show dependency treegraph
 
Reported: 2004-04-15 00:15 EDT by Nicholas Henke
Modified: 2016-11-24 09:49 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-04 17:34:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A more correct patch for this version of glibc (1.44 KB, patch)
2004-04-15 00:50 EDT, Nicholas Henke
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2004:383 high SHIPPED_LIVE Important: glibc security update 2004-08-04 00:00:00 EDT

  None (edit)
Description Nicholas Henke 2004-04-15 00:15:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030630

Description of problem:
Umount is called in the kernel with randon flags -- this can cause
&MNT_FORCE to be true when umount was not called with '-f'

See the URL for the complete bug description and patch -- but the
basic information is quoted here:

The problem:  On IA64, the implementation of umount(2) in glibc
and of sys_umount in the kernel results in the kernel performing
umounts with essentially random flag words.

There is a patch in the URL that fixes the problem.

Version-Release number of selected component (if applicable):
glibc-2.2.4-32.11

How reproducible:
Always

Steps to Reproduce:
Reproducing this for me is seen in Lustre, trying to do a simple mount
and unmount of the file system. Since unmount things MNT_FORCE is set,
umount_begin() is called when not necessary.
    

Additional info:

I am not sure what more can be offered besides the patch.
Comment 1 Nicholas Henke 2004-04-15 00:50:14 EDT
Created attachment 99438 [details]
A more correct patch for this version of glibc
Comment 2 Jakub Jelinek 2004-04-15 03:10:40 EDT
In what way is this patch more correct than the one in CVS?
I will add the INLINE_SYSCALL version.
Comment 3 Jakub Jelinek 2004-05-25 12:14:54 EDT
ftp://people.redhat.com/jakub/glibc/errata/2.2.4-32.16/ should have
this fixed.
Comment 4 Jason Baron 2004-05-28 13:55:33 EDT
*** Bug 122505 has been marked as a duplicate of this bug. ***
Comment 5 Mark J. Cox 2004-08-04 17:34:50 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-383.html

Note You need to log in before you can comment on or make changes to this bug.